{% extends "base.html" %}
{% load i18n %}
{% load tz %}
{% load url from future %}
{% load static from staticfiles %}

{% block title %}
    {% if announce %}
        {{ block.super }} Your announces
    {% else %}
        {{ block.super }} Next announces
    {% endif %}
{% endblock %}


{% block content %}
    {{ block.super }}
    {% if display_rss %}
        <div>
            <a class="ical" title="Subscribe"
               href="{% url 'future_rss' %} ">
                <img src="{% static 'images/icon-rss.gif' %}" alt="RSS">
            </a>
        </div>
    {% endif %}
    {% if user.is_authenticated %}
        Your calendar is related to: "
        {% if user.userprofile.my_default_subscription.description %}
            <a href="{% url 'detail_subscription' user.userprofile.my_default_subscription.id %}">
                {% if user.userprofile.my_default_subscription.email %}
                    {{ user.userprofile.my_default_subscription.email }}
                    <i>{{ user.userprofile.my_default_subscription.description }}</i>
                {% else %}
                    {{ user.userprofile.my_default_subscription.description }}
                {% endif %}
            </a>
        {% else %}My default subscription
        {% endif %}"
        . (<a href="{% url 'subscriptions' %}">Choose another one</a> )

    {% endif %}

    {% if message %}
        <div>
            <small>
                {{ message|linebreaks }}
            </small>
        </div>
    {% endif %}


    <p>
        {% if messages %}
            <h1>Messages</h1>
            <ul class="messages">
                {% for msg in messages %}
                    <li {% if msg.tags %} class="{{ msg.tags }}"{% endif %} >
                        {{ msg|safe }}
                    </li>
                {% endfor %}
            </ul>
        {% endif %}
    </p>

    <input type="hidden" name="user" id="user" value="{{ user.id }}">

    <table cellpadding="0" cellspacing="0" border="1" class="display" id="eventTable">
        <thead>
        <tr>
            <th></th>
            <th></th>
            <th></th>
            <th>Start</th>
            <th>End</th>
            <th>Summary</th>
            <th>Organized by</th>
            <th>Abstract</th>
            <th>URL</th>
            <th>Category</th>
            <th>Location</th>
            <th>People</th>
            <th>Comment</th>
            {% if user.is_authenticated and user.is_superuser %}
                <th>Created on</th>
                <th>Created by</th>
                <th>pk</th>
                <th>uid</th>
            {% endif %}
        </tr>
        </thead>
        <tbody>

        {% for obj in object_list %}
            {% with publisher=obj %}
            <tr>
                <td>
                    <small><i><a
                            href="{% url 'details_on_event' publisher.id %}">{{ forloop.counter|stringformat:"03d" }}</a>
                    </i>
                    </small>
                </td>
                <td>
                    {% if publisher.dtstart > date_now %}
                        <div>
                            <a class="ical" title="Subscribe"
                               href="{% url 'eventics' publisher.id %} ">
                                <img src="{% static 'images/iCal.png' %}" alt="iCal">
                            </a>
                        </div>
                    {% endif %}

                </td>
                <td>
                {% if user.is_authenticated %}
                        {% if publisher.dtstart > date_now %}
                                <a href="#" class="remindme" id="{{ publisher.id }}">{% if sub %}Forget{% else %}RemindMe{% endif %}</a>
                        {% endif %}
                    {% else %}
                        To add it to your calendar, authenticate
                    {% endif %}

                </td>
                <td>{{ publisher.dtstart }}</td>
                <td>
                    {% if publisher.dtend and publisher.dtend > publisher.dtstart %}
                        {{ publisher.dtend }}
                        {% comment %}
                    {% else %}
                        {{ publisher.dtstart|date:"D d M Y" }}
{% endcomment %}
                    {% endif %}
                </td>
                <td><a href="{% url 'details_on_event' publisher.id %}">{{ publisher.summary }}</a></td>
                <td>
                    <ul>
                        {% for org in publisher.org.all %}
                            <li>{{ org.name }}</li>{% endfor %}
                    </ul>
                </td>
                {% comment %}
['category', 'comment', 'description', 'url', 'location','dtend', 'organizer']
{% endcomment %}
                <td>
                    {% if publisher.description %}{{ publisher.description|truncatewords_html:10 }}{% endif %}
                </td>
                <td>
                    {% if publisher.url %}<a href="{{ publisher.url }}">Link</a>
                    {% endif %}
                </td>
                <td>
                    {% if publisher.category_announce %}{{ publisher.category_announce }}{% endif %}
                </td>
                <td>
                    {% if publisher.location %}{{ publisher.location }}{% endif %}
                </td>
                <td>
                    {% if publisher.organizer %}{{ publisher.organizer }}{% endif %}
                </td>
                <td>
                    {% if publisher.comment %}{{ publisher.comment }}{% endif %}
                </td>
                {% if user.is_authenticated and user.is_superuser %}
                    <td>{{ publisher.created_on }}</td>
                    <td>{{ publisher.created_by }}</td>
                    <td><a href="{% url 'details_on_event' publisher.id %}">{{ publisher.id }}</a></td>
                    <td>{{ publisher.uid }}</td>
                {% endif %}
            </tr>
{% comment %}
            {% if user.is_authenticated %}
            {% endwith %}
        {% endif %}
{% endcomment %}
            {% endwith %}
        {% endfor %}
        </tbody>
    </table>


    <a href="{% url 'create_event' %}">{% trans "Add announce" %}</a>

{% endblock %}


{% block css %}
    {{ block.super }}
    <link rel="stylesheet" type="text/css" href="{% static 'js/DataTables-1.8.2/media/css/demo_table.css' %}"/>
{% endblock %}

{% block controleur_js %}
    {{ block.super }}
    <script src="{% static 'js/DataTables-1.8.2/media/js/jquery.dataTables.js' %}"></script>
    <script src="{% static 'js/subscription.js' %}"></script>
    <script src="{% static 'js/mycalendar.js' %}"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            // to manage subscription
            $('#eventTable').dataTable({
                "aaSorting": [
                    [ 0, "asc" ]
                ],
                "bPaginate": false
            });
        });
    </script>
{% endblock %}


